<?php
if (!$model->isAllowed()) {
    User::blockAction('Este cliente não pertence a sua região ou Unidade de Negócios');
}

$this->PageTitle = false;
$nomeCliente  = Util::getNomeImplantacao($model->CLI_NOME, $model->CLI_IMPLANTACAO).Util::getPendencias($model, true);

$this->renderPartial('_menu', array('model' => $model));

$options = array(
    'model' => $model,
    'nomeCliente' => $nomeCliente,
    'setor' => 2
    );
if(isset($arquivo)) {
    $options['arquivo'] = $arquivo;
}
if (Util::getParam('page') == 'produto' && !empty($model->CLI_PRODUTO) && User::getUser()->FUN_PRM_ABAPRODUTOS) {
    $this->renderPartial('abas/produto_comercial', $options);

} else if (Util::getParam('page') == 'atividades') {
    $this->renderPartial('abas/atividades', $options);

} else if (
    Util::getParam('page') == 'documentos' &&
    (User::getUser()->FUN_TBL_CONTROLE_DOCUMENTOS == 1 || User::getPrivilegio() == 16 ||
        (User::getPrivilegio() == 19 && User::getRevenda() == 1))) {

    $this->renderPartial('abas/documentos', $options);

} else if (Util::getParam('page') == 'endereco-cobranca') {
    $this->renderPartial('abas/enderecos', $options);

} else if (Util::getParam('page') == 'vincular-cliente' || isset($_GET['busca'])) {
    $this->renderPartial('abas/vincular_clientes', $options);

} else if (Util::getParam('page') == 'documentos-fiscais' && User::getUser()->FUN_TBL_CADASTRAR_DOCS_FISCAIS == true) {
    $this->renderPartial('abas/documentos_fiscais', $options);

} else if (Util::getParam('page') == 'financeiro' && (in_array(User::getSetor(), array(3, 4, 5)) or User::isAdmin() or User::getUser()->FUN_TBL_RELATORIO_FINANCEIRO = 1)) {
    $this->renderPartial('abas/financeiro', $options);

} else if (Util::getParam('page') == 'clientes_contador' && (in_array($model->CLI_TIPOPESSOA, array('C')))) {
    $this->renderPartial('abas/clientes_contador', $options);

} else if (Util::getParam('page') == 'pendencias')  {
    $this->renderPartial('abas/pendencias', $options);

} else if(Util::getParam('page') == 'anexar-arquivos') {
    $this->renderPartial('abas/anexar_arquivos', $options);

} else if(Util::getParam('page') == 'informacoes-implantacao') {
    $this->renderPartial('abas/informacoes_implantacao', $options);
}

?>

<h1>Prospectos / Clientes &raquo; Visualizar &raquo; <?php echo $nomeCliente; ?></h1>
<?php $this->renderPartial('_view', array('model' => $model)); ?>
<?php
$cs = Yii::app()->getClientScript();
$cs->registerCss('cliente', "
h1 {
    margin-bottom: 0px!important;
    padding:0!important;
    padding-bottom:0!important;
}
.search-form {
    margin-top: 0px!important;
}
.clientes-vinculados li {
    height: 10px!important;
    margin: 15px 0px!important;
}
.edit-datas {
    display: block!important;
    position: absolute!important;
    float: right!important;
    right: 41px!important;
    margin-top: -30px!important;
    z-index: 1!important;
}
.rdm-view th, .rdm-view td {
    padding: 6px!important;
}
.alert-error {
    margin: 10px 0px 20px 0!important;
    padding: 12px!important;
}");
if (Util::getParam('page') == '') {
    $cs->registerCss('cliente2', "
    .alert {
        margin: 10px 0px 0px 0;
    }
    .info-cliente {
        margin-bottom: 10px;
    }");
}